Create a subject

Creates a new subject. Provide a name, code, and optionally an external_id and theme_id.

Body
required
application/json
  • code
    Type: string
    required

    Short code identifier for the subject (e.g. CF101).

  • name
    Type: string
    required

    Name of the subject.

  • external_id
    Type: string

    External identifier for syncing with a third-party system.

  • theme_id
    Type: string

    ID of the theme to associate with this subject.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/apis/subjects/subjects
curl https://ff-business-school.fullfabric.cloud/apis/subjects/subjects \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN' \
  --data '{
  "external_id": "DS-401",
  "code": "DS401",
  "name": "Data Science & AI"
}'
{
  "id": "69e0a83b9a52af33ee4f20ca",
  "external_id": "DS-401",
  "code": "DS401",
  "name": "Data Science & AI",
  "theme_id": null
}